
TextCritical.net - Bug #1277

Related work reference checking imperfect

03/28/2016 06:04 PM - Luke Murphey

Status: Closed Start date: 03/28/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4   

Description

To reproduce:

1. Open ASV at Genesis 1

2. Note that New Testament is displayed in related works list

3. Opening the New Testament generates an error

History

#1 - 03/28/2016 10:22 PM - Luke Murphey

This fails when no division is provided in the URL.

#2 - 03/28/2016 11:36 PM - Luke Murphey

def determine_if_work_has_division(work, division):

    # Determine if this particular division is included

    # Build a list of the divisions in the heirarchy

    divisions_heirarchy = []

    next_division = division

    while next_division is not None:

            divisions_heirarchy.insert(0, next_division)

            # Get the next division

            next_division = next_division.parent_division

    # Match up the division in the related work

    parent_division = None

    for d in divisions_heirarchy:

        matched_divisions = Division.objects.filter(title=d.title, parent_division=parent_division)[:1]

        if matched_divisions.length > 0:

            parent_division = matched_divisions[0]

        else:

            # Should try after normalizing the name

            return False

    return True
#3 - 03/28/2016 11:37 PM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 80

#4 - 03/29/2016 04:25 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
